--
-- shovelMovementFill
--
-- author: Arne Stark
-- date: 21.03.2013
-- 
--


shovelMovementFill = {};

function shovelMovementFill.prerequisitesPresent(specializations)
	--return SpecializationUtil.hasSpecialization(shovel, specializations);
	return true;
end;

function shovelMovementFill:load(xmlFile)
	
end;

function shovelMovementFill:postLoad(xmlFile)
	self.fillShovelFromTrigger = Utils.overwrittenFunction(self.fillShovelFromTrigger, shovelMovementFill.fillShovelFromTrigger);
end;

function shovelMovementFill:delete()
	
end;

function shovelMovementFill:mouseEvent(posX, posY, isDown, isUp, button)
end;

function shovelMovementFill:keyEvent(unicode, sym, modifier, isDown)
end;

function shovelMovementFill:update(dt)
end;

function shovelMovementFill:updateTick(dt)
	
end;

function shovelMovementFill:fillShovelFromTrigger(superFunc,shovelTrigger, deltaFillLevel, fillType, dt)
	local finalDelta = 0;
	
	if self.movingDirection > 0 then
		local _,_,mZ = worldToLocal(self.components[1].node,self.lastPosition[1],self.lastPosition[2],self.lastPosition[3])
		if mZ < -0.05 then
			local newDF = math.min(-mZ/3*self.capacity,deltaFillLevel);
			finalDelta = superFunc(self,shovelTrigger, newDF, fillType, dt);
		end;
	end;
	
	return finalDelta;
end;


function shovelMovementFill:draw()

	
end;


function shovelMovementFill:onDeactivate()
	
end;